import { select, line, range } from 'd3';

const width = window.innerWidth;
const height = window.innerHeight;

const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

let t = 0;
setInterval(() => {
  const n = 10 + Math.sin(t) * 5;
  
  const data = range(n).map((d) => ({
    x: d * 60 + 50,
    y: 250 + Math.sin(d + t) * 100,
  }));
  
  

  const circles = svg
    .selectAll('circle')
    .data(data)
    .join('circle')
    .attr('r', 20)
  	.attr("cx", (d) => d.x)
  	.attr("cy", (d) => d.y);
  
  svg
    .selectAll('path')
  	.data(data)
  	.join('path')
  	.attr('d', lineGenerator(data))
  	.attr('fill', 'none')
  	.attr('stroke', 'black')

  t += 0.1;
  
}, 1000 / 60);
